Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #501 (closed defect: duplicate)

Opened 13 years ago

Last modified 13 years ago

wifi%d: unable to attach hardware: 'No hardware present or device not yet sup ported' (HAL status 1)

Reported by: gorec@netman.ru Assigned to: mrenzmann
Priority: major Milestone:
Component: madwifi: driver Version: trunk
Keywords: hardware Cc: gorec@netman.ru
Patch is attached: 0 Pending:

Description (Last modified by mrenzmann)

root@(none):/lib/modules/2.4.32# insmod wlan
<6>wlan: 0.8.4.2 (svn 1456)

root@(none):/lib/modules/2.4.32# insmod ath_hal.o
<6>ath_hal: 0.9.16.16 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)

root@(none):/lib/modules/2.4.32# insmod ath_rate_sample.o
<6>ath_rate_sample: 1.2 (svn 1456)

root@(none):/lib/modules/2.4.32# insmod ath_ahb.o
<6>ath_ahb: 0.9.4.5 (svn 1456)
<3>wifi%d: unable to attach hardware: 'No hardware present or device not yet sup
ported' (HAL status 1)
<4>ath_ahb: No devices found, driver not installed.
insmod: init_module: ath_ahb: No such device

root@(none):/proc# cat /proc/cpuinfo
system type             : Atheros AR531X
processor               : 0
cpu model               : MIPS 4Kc V0.9
BogoMIPS                : 219.54
wait instruction        : yes
microsecond timers      : yes
tlb_entries             : 16
extra interrupt vector  : yes
hardware watchpoint     : yes
VCED exceptions         : not available
VCEI exceptions         : not available

How i can use madwifi in my device?

Attachments

107-wisoc.patch (5.8 kB) - added by mhojlund on 09/15/06 15:04:47.
patch to enable madwifi on AR2313 WiSOC

Change History

03/28/06 15:45:03 changed by gorec

  • keywords set to hardware.
  • owner changed.
  • component changed from madwifi: HAL to madwifi: driver.
  • milestone set to version 0.9.0 - move to new codebase.

03/28/06 16:00:12 changed by anonymous

  • status changed from new to assigned.
  • owner set to anonymous.

03/28/06 16:10:01 changed by mrenzmann

  • status changed from assigned to new.
  • owner changed from anonymous to mrenzmann.
  • description changed.
  • milestone deleted.

The Atheros AR531x stuff if the SOC family, right?

03/28/06 21:38:53 changed by gorec

Yes - it's a Atheros AR531x! with two wireless interface 5gg and 2.4 gg and one ethernet...

Help me please....

03/28/06 21:40:00 changed by Gorec

Yes - it's a Atheros AR531x SoC! with two wireless interface 5gg and 2.4 gg and one ethernet...

Help me please....

03/28/06 21:42:33 changed by anonymous

  • cc set to gorec@netman.ru.

05/16/06 03:58:45 changed by dyqith

Architecture more info there, if not, please add some, thanks.

06/11/06 21:55:52 changed by gorec@netman.ru

Any news about 53xx SOC(with non pci bus(ahb)) in madwifi ?

06/12/06 08:10:10 changed by mrenzmann

  • description changed.

Did you try the latest revision already? There were some changes regarding SoC-support iirc.

06/12/06 23:01:22 changed by gorec@netman.ru

if i use hal for mips-be-elf there no changes (No hardware present or device not yet sup ported' (HAL status 1))

if i use hal for ap30 this is what i see: <6>wlan: 0.8.4.2 (svn r) <6>ath_hal: 0.9.17.2 (AR5212, AR5312, RF5111, RF5112, TX_DESC_SWAP) <6>ath_rate_sample: 1.2 (svn r) <6>ath_ahb: 0.9.4.5 (svn r) <1>Unable to handle kernel paging request at virtual address 00000008, epc == c0 04e0e0, ra == c004e088 <4>Oops in fault.c::do_page_fault, line 206: <4>$0 : 00000000 1000c500 00000000 00000003 80d38000 00000003 c004c340 c004c480 <4>$8 : 0000ffff 80d3a8d2 00000010 00000000 00000000 00000d38 1000c501 00000000 <4>$16: 00000003 80d38000 80d38000 00000057 c007643c 80ea9d50 c0070000 100fb958 <4>$24: 00000010 8010cf20 80ea8000 80ea9bf8 80d46000 c004e088 <4>Hi : 00000000 <4>Lo : 00000000 <4>epc : c004e0e0 Not tainted <4>Status: 1000c503 <4>Cause : 00800008 <4>PrId? : 00018009 <4>Process insmod (pid: 45, stackpage=80ea8000) <4>Stack: c0070000 100fb958 80d46000 80036e00 80e9fb60 80e3a980 00000000 <4> 80297930 80032c64 80e9f620 80e9f5c0 80e9f560 00000004 8014941c 80297930 <4> 000001f0 00000057 80d46160 00000000 80033c80 00000003 80d38000 80d38000 <4> c004e088 000052f0 80d46160 c003734c 80110aac 00000dae 00000004 80ea9cc0 <4> 80ea9cc8 00000000 80d38000 c004de14 802903ac 802fbcf8 802fbcf8 00000000 <4> 000623a6 ... <4>Call Trace: [<c0070000>] [<80036e00>] [<80032c64>] [<80033c80>] [<c004e088> ] <4> [<c003734c>] [<80110aac>] [<c004de14>] [<c004bca4>] [<8001f6d4>] [<8002013c> ] <4> [<8001be98>] [<c007643c>] [<c0037800>] [<8001be40>] [<c0037080>] [<c0071744> ] <4> [<800042fc>] [<c0075f3c>] [<c0070000>] [<80036e00>] [<80032c64>] [<80004c64> ] <4> [<800a8c3c>] [<80033c80>] [<80004d30>] [<c007643c>] [<c0070000>] [<c0073670> ] <4> [<80016968>] [<c0073974>] [<80016854>] [<80016854>] [<c0073af8>] [<c0075f00> ] <4> [<c0075f08>] [<80017d48>] [<c0061060>] [<8000a704>] [<8006844c>] <4> <4>Code: afb00050 00808825 8e220010 <8c430008> 10a00090 00001025 10600005 2 4020001 10620006 <6>wlan: mac acl policy registered <6>device eth0 entered promiscuous mode <3>kmod: failed to exec /sbin/modprobe -s -k ath0, errno = 2

06/12/06 23:13:59 changed by gorec@netman.ru

This report for mips-be-elf under dlink dwl7100 (531x SOC) <6>wlan: 0.8.4.2 (svn r) <6>ath_hal: 0.9.17.2 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413, RE GOPS_FUNC) <6>ath_rate_sample: 1.2 (svn r) <6>ath_ahb: 0.9.4.5 (svn r) <3>wifi%d: unable to attach hardware: 'No hardware present or device not yet sup ported' (HAL status 1) <4>ath_ahb: No devices found, driver not installed. <6>wlan: mac acl policy registered <6>device eth0 entered promiscuous mode <3>kmod: failed to exec /sbin/modprobe -s -k ath0, errno = 2

06/13/06 00:08:26 changed by nbd@openwrt.org

There are several hal targets called apXX. They contain support for the SoC hardware...

06/13/06 06:51:01 changed by mrenzmann

In addition, please enclose any pastes in {{{ and }}}, otherwise they become unreadable. Kernel oops messages need to be decoded to be useful.

06/13/06 21:25:27 changed by gorec@netman.ru

Used hal "ap30" - it's small dificult there - linker does'nt want link, said: different platform use (mips3 and mips32(in .inc file from ap30) i change from mips32 to mips3 and all done, but does not work... what i do incorrectly?

{ <6>wlan: 0.8.4.2 (svn r1639) <6>ath_hal: 0.9.17.2 (AR5212, AR5312, RF5111, RF5112, TX_DESC_SWAP) <6>ath_rate_sample: 1.2 (svn r1639) <6>ath_ahb: 0.9.4.5 (svn r1639) <1>Unable to handle kernel paging request at virtual address 00000008, epc == c0 04e0e0, ra == c004e088 <4>Oops in fault.c::do_page_fault, line 206: <4>$0 : 00000000 1000c500 00000000 00000003 80d38000 00000003 c004c340 c004c480 <4>$8 : 0000ffff 80d3a8d2 00000010 00000000 00000000 00000d38 1000c501 00000000 <4>$16: 00000003 80d38000 80d38000 00000057 c007643c 80ea9d50 c0070000 100fb960 <4>$24: 00000010 8010cf20 80ea8000 80ea9bf8 80d46000 c004e088 <4>Hi : 00000000 <4>Lo : 00000000 <4>epc : c004e0e0 Not tainted <4>Status: 1000c503 <4>Cause : 00800008 <4>PrId? : 00018009 <4>Process insmod (pid: 45, stackpage=80ea8000) <4>Stack: c0070000 100fb960 80d46000 80036e00 80e9fb60 80e3a980 00000000 <4> 80297930 80032c64 80e9f620 80e9f5c0 80e9f560 00000004 8014941c 80297930 <4> 000001f0 00000057 80d46160 00000000 80033c80 00000003 80d38000 80d38000 <4> c004e088 000052f0 80d46160 c003734c 80110aac 00000dae 00000004 80ea9cc0 <4> 80ea9cc8 00000000 80d38000 c004de14 802903ac 802fbcf8 802fbcf8 00000000 <4> 000623a6 ... <4>Call Trace: [<c0070000>] [<80036e00>] [<80032c64>] [<80033c80>] [<c004e088> ] <4> [<c003734c>] [<80110aac>] [<c004de14>] [<c004bca4>] [<8001f6d4>] [<8002013c> ] <4> [<8001be98>] [<c007643c>] [<c0037800>] [<8001be40>] [<c0037080>] [<c0071744> ] <4> [<800042fc>] [<c0075f40>] [<c0070000>] [<80036e00>] [<80032c64>] [<80004c64> ] <4> [<800a8c3c>] [<80033c80>] [<80004d30>] [<c007643c>] [<c0070000>] [<c0073670> ] <4> [<80016968>] [<c0073974>] [<80016854>] [<80016854>] [<c0073af8>] [<c0075f00> ] <4> [<c0075f08>] [<80017d48>] [<c0061060>] [<8000a704>] [<8006844c>] <4> <4>Code: afb00050 00808825 8e220010 <8c430008> 10a00090 00001025 10600005 2 4020001 10620006 <6>wlan: mac acl policy registered <6>device eth0 entered promiscuous mode}

06/13/06 22:02:19 changed by mrenzmann

Again: please provide decoded oops messages, and enclose them in {{{ and }}}. In addition, a more detailed description about the changes you've mentioned might be helpful.

07/21/06 17:00:14 changed by g_mutlu@hotmail.com

I am another person waiting a new hal to solve this problem. Our old problem was getting "'No hardware present or device not yet supported' (HAL status 1)" error (Ticket 114). Using WiSoC HALs, we get the error printed below:

<6>ath_hal: 0.9.17.2 (AR5212, AR5312, RF5111, RF5112)
<6>wlan: 0.8.4.2 (0.9.1)
<6>ath_rate_sample: 1.2 (0.9.1)
<6>ath_ahb: 0.9.4.5 (0.9.1)
<1>Unable to handle kernel paging request at virtual address 00000008, epc == c04a1e50, ra == c04a1df8
<4>Oops in fault.c::do_page_fault, line 206:
<4>$0 : 00000000 1000f100 00000000 00000003 80b18000 00000003 c04a00b0 c04a01f0
<4>$8 : 0000ffff 80b1a8d2 00000010 00000000 00000000 801639b4 00000003 00000000
<4>$16: 00000003 80b18000 80b18000 80b22000 80029870 80c63da8 80b23744 80b25000
<4>$24: 00000010 ba2e8ba3                   80c62000 80c63c50 100fb768 c04a1df8
<4>Hi : 00000000
<4>Lo : 00000000
<4>epc   : c04a1e50    Tainted: P
<4>Status: 1000f103
<4>Cause : 00800008
<4>PrId  : 0001800a
<4>Process insmod (pid: 118, stackpage=80c62000)
<4>Stack:    80c63c58 c00630c0 80043c3c 80c63d30 80163c60 00000000 00000000
<4> 000001f0 80b18000 800407b0 00000004 c006301c 00195603 80cc3320 801c3930
<4> 801c3938 000001f0 80b22160 00000000 80040b28 00000003 80b18000 80b18000
<4> c04a1df8 000052f0 80b22160 c048b2f0 c048b2d0 35f28b84 801750a0 00000001
<4> 8002e09c 00000000 80b18000 c04a1b84 c0491a30 35f28b84 80c63d90 8001a9b8
<4> 80064a6c ...
<4>Call Trace:   [<80043c3c>] [<800407b0>] [<80040b28>] [<c04a1df8>] [<c048b2f0>]
<4> [<c048b2d0>] [<8002e09c>] [<c04a1b84>] [<c0491a30>] [<8001a9b8>] [<80064a6c>]
<4> [<c049fa14>] [<800293b8>] [<80013344>] [<80029870>] [<c048b800>] [<8004365c>]
<4> [<c048b080>] [<8006f5b0>] [<80071da0>] [<800407b0>] [<c04e01b4>] [<80013bac>]
<4> [<80040b28>] [<c04e2508>] [<c04f5244>] [<c04f2474>] [<80024338>] [<c04f22f4>]
<4> [<c04f2684>] [<8002421c>] [<8002421c>] [<c04f2824>] [<c04f2814>] [<c04f4d5c>]
<4> [<c04f4d4c>] [<800258e0>] [<800297f0>] [<8004365c>] [<c04e0060>] ...
<4>
<4>Code: afb00050  00808825  8e220010 <8c430008> 10a00090  00001025  10600005  24020001  10620006
Segmentation fault

Linux Kernel: 2.4.25 Target Device: ap43 which is sold as "Dlink dwl2200"

09/07/06 22:47:16 changed by mhojlund

I can give some information on why the ap30 HAL oopses. In hal_attach() in if_ath.c, _ath_hal_attach() is called with the third argument being NULL (around line 425). This is not allowed on WiSOC platforms. The argument should instead be a pointer to an initalized ar531x_config structure, as documented in ah_soc.h. However, when using the correct argument, the system reboots with the message

AHB Interrupt: PROCADDR=0x18500014 PROC1=0x80000a16 DMAADDR=0x00000000 DMA1=0x00000000

(linux kernel 2.4.32 on DLink DWL2100)

09/15/06 15:04:47 changed by mhojlund

  • attachment 107-wisoc.patch added.

patch to enable madwifi on AR2313 WiSOC

09/15/06 15:05:27 changed by anonymous

I have now fixed madwifi to the point where it seems to work. I'm attaching the patch so that other people can try it on their configurations. I haven't done any exhaustive testing, but the changes are not that extensive...

09/15/06 15:10:15 changed by mrenzmann

Thanks for the patch. Please sign it off so that the patch can easily be committed to the repos after being reviewed.

09/15/06 15:39:20 changed by mrenzmann

  • status changed from new to closed.
  • resolution set to duplicate.

Signed patch has been attached to #886. Please continue reading there :)

11/09/06 17:40:51 changed by g_mutlu@hotmail.com

Patch works for AR2313 WiSoC, but it still cannot attach AR2317 WiSoC using the hal version 0.9.18.0 which is included in ap61.hal.uu